Subject: Re: Bug in ProcArrayApplyRecoveryInfo for snapshots crossing 4B, breaking replicas

From: Tomas Vondra <[email-masked]>
Date: Thu, 27 Jan 2022 20:33:46 +0100

On 1/26/22 23:54, Michael Paquier wrote:
> On Wed, Jan 26, 2022 at 07:31:00PM +0100, Tomas Vondra wrote:
>> I actually tried doing that, but I was not very happy with the result. The
>> test has to call pg_resetwal, but then it also has to fake pg_xact data and
>> so on, which seemed a bit ugly so did not include the test in the patch.
> 
> Indeed, the dependency to /dev/zero is not good either.  The patch
> logic looks good to me.

OK, I've pushed the patch. We may consider adding a TAP test later, if 
we find a reasonably clean approach.

regards

-- 
Tomas Vondra
EnterpriseDB: http://www.enterprisedb.com
The Enterprise PostgreSQL Company